import { Repository } from "typeorm";
import { User } from "../../common/vendor/user.entity";
import { CreateDriverDto, UpdateDriverDto } from "./driver.dto";
import { Driver } from "src/common/driver/driver.entity";
export declare class AdminDriverService {
    private readonly userRepository;
    private readonly driverRepository;
    private readonly logger;
    constructor(userRepository: Repository<User>, driverRepository: Repository<Driver>);
    create(CreateDriverDto: CreateDriverDto): Promise<User>;
    findAll(shopId: number): Promise<User[]>;
    findOne(id: number): Promise<User>;
    update(id: number, updateDriverDto: UpdateDriverDto): Promise<User>;
    updateUserStatus(userId: number, status: any): Promise<User>;
    remove(id: number): Promise<void>;
    private generateUserId;
    private hashPassword;
    findDriverDetail(driverId: number): Promise<Driver>;
}
